/***********************************
  __| _ \  _ \   \  |   __| 
  _| (   |   /  |\/ | \__ \ 
 _| \___/ _|_\ _|  _| ____/ 

Default forms & placeholders styling
***********************************/

/*scss**********************************
 FORM MIXINS
***********************************/
$labelColor: #000600;
$inputColor: #000600;
$placeholderColor: #000600;
$borderColor: #CCCCCC;
$backgroundColor: #FFFFFF;
$border: solid 1px $borderColor;
$paddingX: 15px;
$paddingY: 15px;
$errorColor: red;
$successColor: green;

@mixin input{
	
	display: block;
	color: $inputColor;
	/*font-family: 'Raleway', sans-serif;*/
	@include font(14);
	width: 100%;
	height: 40px;
	padding: $paddingY $paddingX;
	background-color: $backgroundColor;
	border: $border;
	border-radius: 0;
	appearance: caret;
	vertical-align: top;

	@include bp(desktop){
		@include font(16);
		appearance: textfield;
	}

}


/***********************************
 INPUT FIELD WRAPPER
***********************************/
.input__field{
	
	position: relative;

	&.small{
		
		@include bp(tablet){
			max-width: 204px;
		}
		
	}

}


/***********************************
 FORMS ELEMENTS
***********************************/
label,
.label{
	position: relative;
	color: $labelColor;
}

input[type="text"],
input[type="password"],
input[type="date"],
input[type="tel"],
input[type="email"],
input[type="number"]{

	@include input;

	&:focus{
		outline: 0 !important;
	}

}

input[type="radio"]{
	vertical-align: top;
}

input[type="checkbox"]{
	margin: 0;
	vertical-align: top;
}

select{
	@include input;
	width: 115%;
	padding: 0;
	appearance: none;
	border: 0;
	border-radius: 0;
}

textarea{

	@include input;
	max-width: 100%;
	
	&:focus{
		
	}

}

button[type="submit"],
input[type="submit"]{

	@extend .btn;

}


/*scss**********************************
 PLACEHOLDERS
***********************************/
@mixin placeholder {
	input::-webkit-input-placeholder {@content}
	input:-moz-placeholder           {@content}
	input::-moz-placeholder          {@content}
	input:-ms-input-placeholder      {@content}
	textarea::-webkit-input-placeholder {@content}
	textarea:-moz-placeholder           {@content}
	textarea::-moz-placeholder          {@content}
	textarea:-ms-input-placeholder      {@content}
}

@mixin placeholderFocus {
	input:focus::-webkit-input-placeholder {@content}
	input:focus:-moz-placeholder           {@content}
	input:focus::-moz-placeholder          {@content}
	input:focus:-ms-input-placeholder      {@content}
	textarea:focus::-webkit-input-placeholder {@content}
	textarea:focus:-moz-placeholder           {@content}
	textarea:focus::-moz-placeholder          {@content}
	textarea:focus:-ms-input-placeholder      {@content}
}


@include placeholder {
	color: $placeholderColor;
	text-overflow: ellipsis !important;
}

@include placeholderFocus {
	text-overflow: clip !important;
}